/*
	Copyright (C) 2012  fmaj7b5.info

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// imageio_test.cpp : R\[ AvP[ṼGg |Cg`܂B
//

#include "stdafx.h"

#include "Image.h"
#include "ImageIO.h"

using namespace FM7b5;

int _tmain(int argc, _TCHAR* argv[])
{
	ImageGray image;

	try {
		image = loadPGM("..\\img\\sine.pgm");
	}
	catch (std::exception& e)
	{
		std::cout << e.what() << std::endl;
		return -1;
	}

	/* invert pixel values */
	ImageGray out(image.width(), image.height());
	for (size_t h = 0; h < image.height(); ++h) {
		for (size_t w = 0; w < image.width(); ++w) {
			out(w, h) = 255 - image(w, h);
		}
	}

	savePNM(out, "result.pgm");

	return 0;
}

